Skip to Content

List asynchronous operations

Lists asynchronous operations for the active organization, newest first. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.

GET
/v1/operations

Lists asynchronous operations for the active organization, newest first. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

limit?|null
cursor?string
kind?string
Value in"email-domain-provisioning""organization-deletion"
status?string
Value in"pending""running""succeeded""failed"

Response Body

OperationPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.operations.list({});
Example Response
{
  "items": [
    {
      "id": "string",
      "organizationId": "string",
      "kind": "email-domain-provisioning",
      "subject": {
        "type": "string",
        "id": "string"
      },
      "actor": {
        "type": "user",
        "id": "string"
      },
      "status": "pending",
      "phase": "accepted",
      "error": {
        "code": "validation-failed",
        "message": "string"
      },
      "createdAt": "string",
      "updatedAt": "string",
      "startedAt": "string",
      "completedAt": "string"
    }
  ],
  "nextCursor": "string"
}

Related documentation